#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int n,u,v;
    char c;
    cin>>n;
    for(int i=0;i<n-1;i++)
        cin>>u>>v>>c;
        cout<<"0";
    return 0;
}